View Issue Details

IDProjectCategoryView StatusLast Update
0004296FreeCADBugpublic2020-10-22 00:47
Reporterdulouie Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004296: crash in sketcher when deleting external reference on broken sketch
DescriptionFreecad crashes when deleting external reference to subshapebinder.
Steps To Reproduce1. Open crash.fcstd
2. open Sketch004 in Sketcher
3. Delete one of the external references on the left side
4. crash
Additional InformationSketch004 was fixed by validation tool
External reference is linked to subshapebinder
TagsNo tags attached.
FreeCAD InformationOS: Ubuntu 19.10 (ubuntu:GNOME/ubuntu-wayland)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Python version: 3.7.5
Qt version: 5.12.4
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Activities

dulouie

2020-03-28 21:32

reporter  

crash.FCStd (312,861 bytes)

dulouie

2020-03-28 21:35

reporter   ~0014309

delete a point of the external reference

Kunda1

2020-03-29 00:23

administrator   ~0014310

Please open a forum thread to discuss with community. Status of this ticket is set to 'Feedback' until then.

dulouie

2020-03-29 15:18

reporter   ~0014311

https://forum.freecadweb.org/viewtopic.php?f=3&t=44696

dulouie

2020-10-21 17:13

reporter   ~0014920

I think this is fixed by the current daily build.

Kunda1

2020-10-22 00:47

administrator   ~0014921

Fixed per OP in https://forum.freecadweb.org/viewtopic.php?f=3&t=44696#p441510
Closing ticket.

Issue History

Date Modified Username Field Change
2020-03-28 21:32 dulouie New Issue
2020-03-28 21:32 dulouie File Added: crash.FCStd
2020-03-28 21:35 dulouie Note Added: 0014309
2020-03-29 00:22 Kunda1 Tag Attached: #post-to-forum
2020-03-29 00:23 Kunda1 Status new => feedback
2020-03-29 00:23 Kunda1 Note Added: 0014310
2020-03-29 15:18 dulouie Note Added: 0014311
2020-03-29 15:18 dulouie Status feedback => new
2020-10-21 17:13 dulouie Note Added: 0014920
2020-10-22 00:47 Kunda1 Status new => closed
2020-10-22 00:47 Kunda1 Resolution open => fixed
2020-10-22 00:47 Kunda1 Fixed in Version => 0.19
2020-10-22 00:47 Kunda1 Note Added: 0014921
2020-10-22 00:47 Kunda1 Tag Detached: #post-to-forum